﻿using FLY.OBJComponents.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// PgCenterParam.xaml 的交互逻辑
    /// </summary>
    public partial class PgCenterParam : Page
    {
        FLY.Winder.Client.WinderSystemServiceClient winderSystem;

        SetPLCUpdatePlan[] setPlan_winders = new SetPLCUpdatePlan[2];


        public PgCenterParam()
        {
            InitializeComponent();
            Init();
        }
        void Init()
        {
            winderSystem = TDGage.Current.mWinderSystem;
            this.DataContext = winderSystem;
            //注册属性更新计划
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i] = new SetPLCUpdatePlan(
                    winderSystem.PLCos,
                    winderSystem.Items[i],
                    new string[] {
                        "CenterFrictionalComp",
                        "CenterTensionFactor",
                        "CenterTransmissionRatio",
                        "CenterVelocityComp",
                        "CenterPressureFactor",
                        "CenterOutputRatio",
                        "CenterDia",
                        "CenterVelocity",
                        "CenterPressure",
                        "TongUpDownTime",
                        "TongInOutTime",
                        "EPRollerTime"
                    });
            }
        }

        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i].Dispose();
            }
        }
    }
}
