﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Integrated.UI.Client.UIModule
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class WdK123 : FLY.ControlLibrary.WindowBigClose
    {
        FLY.OBJComponents.Client.SetPLCUpdatePlan setPlan;
        public WdK123()
        {
            InitializeComponent();


        }
        public void Init() 
        {
            grid_ibc.DataContext = TDGage.Current.integratedSystemServiceClient.Ibc;

            var integratedSystemServiceClient = TDGage.Current.integratedSystemServiceClient;

            setPlan = new FLY.OBJComponents.Client.SetPLCUpdatePlan(
                integratedSystemServiceClient.PLCos,
                integratedSystemServiceClient.Ibc,
                new string[] {
                    "BubbleCorrR",
                    "BubbleCorrA",
                    "BubbleCorrB",
                    "BubbleCorrC",
                    "L",
                    "K1",
                    "K2",
                    "K3"
                });
        }
    }
}
