﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.HeatingHelper.UI.UIModule
{
    public class ViewModel_HeatThickDetector : INotifyPropertyChanged
    {
        public IThickHeatData _dat;
        public IThickHeatData Dat
        {
            get
            {
                return _dat;
            }
            set
            {
                _dat = value;
            }
        }
        public ViewModel_HeatThickDetector(IThickHeatData dat)
        {
            _dat = dat;
        }

        public bool HasData 
        {
            get
            {
                if (_dat == null) return false;
                if (_dat.TotalDataFrom != DateTime.MinValue) return true;
                return false;
            }
        }

        

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
