﻿//using FLY.FeedbackRenZiJia.Client;
//using FLY.FeedbackRenZiJia.Common;
using LiveCharts;
using LiveCharts.Defaults;
using LiveCharts.Wpf;
using PropertyChanged;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using FLY.HeatingHelper;
using System.Threading.Tasks;

namespace FLY.HeatingHelper.UI.UIModule
{
    /// <summary>
    /// Page_HeatDetector.xaml 的交互逻辑
    /// </summary>
    public partial class Page_HeatDetector : Page,INotifyPropertyChanged
    {
        //private HeatBufServiceClient mHeatBuf;
        //ViewModel_HeatDetector _vm;
        
        public Page_HeatDetector()
        {
            InitializeComponent();
        }

        public IThickHeatData Dat { get; set; }

        public void InitData(object dat)
        {
            //_vm = ViewModel_HeatDetector.Instance;
            //_vm.SetData(dat as IThickHeatData);
            //this.DataContext = _vm;
            Dat = dat as IThickHeatData;
            uc_airRingShift.Init(dat);
            uc_heatBoltAnalyst.Init(dat);
        }

        private void button_back_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                NavigationService.GoBack();
            }
            catch
            {
                Application.Current.Shutdown();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
        }

        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
           Dat.EndUse();
        }
    }

    //public class ViewModel_HeatDetector : INotifyPropertyChanged
    //{
    //    private static ViewModel_HeatDetector _instance = new ViewModel_HeatDetector();
    //    public IThickHeatData _data;

    //    static ViewModel_HeatDetector() { }
    //    private ViewModel_HeatDetector() { }

    //    public static ViewModel_HeatDetector Instance
    //    {
    //        get
    //        {
    //            return _instance;
    //        }
    //    }

    //    public void SetData(IThickHeatData dat)
    //    {
    //        if (_data == dat) return;
    //        Clear();
    //        _data = dat;
    //        dat.PropertyChanged += Data_Updated;
    //        ResetSelectClass();
    //        Update_Tab1();
    //    }

    //    public void Clear()
    //    {
    //        if (_data != null)
    //        {
    //            _data.PropertyChanged -= Data_Updated;
    //        }
    //    }
    //    private void Data_Updated(object o, PropertyChangedEventArgs e)
    //    {
    //        if (e.PropertyName == "DataChanged")
    //        {
    //            Update_Tab1();
    //        }
    //    }
    //    #region ViewModel For Page1
    //    public DateTime DBFrom { get; internal set; }
    //    public DateTime DBTo { get; internal set; }

    //    /// <summary>
    //    /// 选择要处理的数据（按时间）
    //    /// </summary>
    //    public DateTime DataFrom { get; set; }
    //    public DateTime DataTo { get; set; }

    //    /// <summary>
    //    /// 选择要处理的数据（按Index）
    //    /// </summary>
    //    public int Selected_Idx_From { get; set; }
    //    public int Selected_Idx_To { get; set; }

    //    public bool IsDefault { get; set; } = true;

    //    public ChartValues<ObservableValue> MyValues { get; set; }
    //    public ChartValues<double> MyValues2 { get; set; }
    //    public SeriesCollection MySeries { get; set; }

    //    public Func<double, string> Formatter { get; set; }

    //    public double RX { get; set; }
    //    public double RY { get; set; }
    //    public double RW { get; set; }
    //    public double RH { get; set; }
    //    #endregion

    //    private int _selected_class;
    //    public List<DateTime> Xaxis = new List<DateTime>();

    //    public void ResetSelectClass()
    //    {
    //        int from = 0, to = 0;
    //        //int a = _data.CalculateFromToByClass(-1, ref from, ref to);
    //        if ((_selected_class = _data.CalculateFromToByClass(-99, ref from, ref to)) >= 0)
    //        {
    //            Selected_Idx_From = from;
    //            Selected_Idx_To = to;
    //            var tmp = _data.GetDateTimeByID(from);
    //            DataFrom = (DateTime)tmp;
    //            tmp = _data.GetDateTimeByID(to);
    //            DataTo = (DateTime)tmp;
    //            Update_Tab1();
    //        }
    //    }

    //    public void SelectClass_Step(int step)
    //    {
    //        int from = 0, to = 0;
    //        int _sclass = _selected_class;
    //        while (true)
    //        {
    //            if ((_sclass = _data.CalculateFromToByClass(_sclass + step, ref from, ref to)) >= 0)
    //            {
    //                if (from == to) continue;
    //                _selected_class = _sclass;
    //                Selected_Idx_From = from;
    //                Selected_Idx_To = to;
    //                var tmp = _data.GetDateTimeByID(from);
    //                DataFrom = (DateTime)tmp;
    //                tmp = _data.GetDateTimeByID(to);
    //                DataTo = (DateTime)tmp;
    //                return;
    //            }
    //            break;
    //        }
    //    }

    //    public void Update_Tab1()
    //    {
    //        DBFrom = _data.TotalDataFrom;
    //        DBTo = _data.TotalDataTo;
    //        //DataFrom = _data.Dat_Times.First();
    //        //DataTo = _data.Dat_Times.Last();
    //        MyValues = new ChartValues<ObservableValue>();

    //        MyValues2 = new ChartValues<double>();

    //        Xaxis.Clear();
    //        int i, cnt = _data.Dat_Times.Count();
    //        for (i = 0; i < cnt; i++)
    //        {
    //            MyValues.Add(new ObservableValue((double)_data.Dat_Means[i]));
    //            MyValues2.Add((double)(_data.Dat_Sigmas[i] * 100 / _data.Dat_Means[i]));
    //            Xaxis.Add(_data.Dat_Times[i]);
    //        }

    //        var s1 = new LineSeries
    //        {
    //            Title = "厚度均值",
    //            Values = MyValues,
    //            StrokeThickness = 2,
    //            Fill = Brushes.Transparent,
    //            PointGeometrySize = 4,
    //            DataLabels = false,
    //            ScalesYAt = 0
    //        };
    //        var s2 = new LineSeries
    //        {
    //            Title = "Sigma*2",
    //            Values = MyValues2,
    //            StrokeThickness = 2,
    //            Fill = Brushes.Transparent,
    //            PointGeometrySize = 4,
    //            DataLabels = false,
    //            ScalesYAt = 1
    //        };
    //        MySeries = new SeriesCollection();
    //        MySeries.Add(s1);
    //        MySeries.Add(s2);

    //        Formatter = d =>
    //        {
    //            if ((d > Xaxis.Count()) || (d < 0))
    //            {
    //                return d.ToString();
    //            }
    //            else
    //            {
    //                return Xaxis[(int)d].ToString("MM-dd HH:mm:ss");
    //            }
    //        };
    //    }

    //    public event PropertyChangedEventHandler PropertyChanged;
    //}

    //public class VMBase_HeatDetector : INotifyPropertyChanged
    //{
    //    public event PropertyChangedEventHandler PropertyChanged;

    //    public void Loaded(object s)
    //    {
    //        var tmpVM = ViewModel_HeatDetector.Instance;
    //        tmpVM.PropertyChanged += DataSelecter_PropertyChanged;
    //    }

    //    public void UnLoaded(object s)
    //    {
    //        var tmpVM = ViewModel_HeatDetector.Instance;
    //        tmpVM.PropertyChanged -= DataSelecter_PropertyChanged;
    //    }

    //    protected int MinFrame { get; set; }
    //    protected int MaxFrame { get; set; }

    //    public void DataSelecter_PropertyChanged(object s, PropertyChangedEventArgs e)
    //    {
    //        if (e.PropertyName == "Selected_Idx_From")
    //        {
    //            MinFrame = (s as ViewModel_HeatDetector).Selected_Idx_From;
    //        }
    //        if (e.PropertyName == "Selected_Idx_To")
    //        {
    //            MaxFrame = (s as ViewModel_HeatDetector).Selected_Idx_To;
    //        }
    //    }
    //}
}
