﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// Page_Menu.xaml 的交互逻辑
    /// </summary>
    public partial class Page_Menu : Page
    {
        public Page_Menu()
        {
            InitializeComponent();
        }

        private void button_error_Click(object sender, RoutedEventArgs e)
        {
            Page_ErrorTable p = new Page_ErrorTable();
            NavigationService.Navigate(p);
        }

        private void button_version_Click(object sender, RoutedEventArgs e)
        {

        }

        private void button_pidparam_Click(object sender, RoutedEventArgs e)
        {
            if (ThickTcpUiInWindow.Window_Password.Authorize(1))
            {
                Page_PIDParam p = new Page_PIDParam();

                NavigationService.Navigate(p);
            }
        }

        private void button_winderparam_Click(object sender, RoutedEventArgs e)
        {
            if (ThickTcpUiInWindow.Window_Password.Authorize(1))
            {
                Page_WinderParam p = new Page_WinderParam();
                NavigationService.Navigate(p);
            }
        }

        private void btnCenterParamClick(object sender, RoutedEventArgs e)
        {
            if (ThickTcpUiInWindow.Window_Password.Authorize(1))
            {
                PgCenterParam p = new PgCenterParam();
                NavigationService.Navigate(p);
            }
        }

        private void btnInterstitialParamClick(object sender, RoutedEventArgs e)
        {
            if (ThickTcpUiInWindow.Window_Password.Authorize(1))
            {
                PgInterstitialParam p = new PgInterstitialParam();
                NavigationService.Navigate(p);
            }
        }
    }
}
